<?php
namespace App\Libs\Pay;


interface PayMerchantInterface
{
    /**
     * 支付下单
     * @param array $data 
     */
    public function send(array $data);
    /**
     * 支付回调
     * @param array $data 
     */
    public function notify(array $data);
    /**
     * 订单查询
     * @param string $trade_no 商户订单号
     * @return bool 
     */
    public function query(string $trade_no);

    /**
     * 退款申请
     * @param array $data 
     */
    public function refund(array $data);

    /**
     * 生成签名
     * @param array $data 
     */
    public function makeSign(array $data);
}
